site_name: Self-Data Grandlyon - Technical Docs
site_description: A Collection of Technical Documentations Related to the Self-Data Grandlyon Projects.
site_author: Métropole de Lyon
repo_name: 'Forge'
repo_url: 'https://forge.grandlyon.com/web-et-numerique/factory/llle_project/self-data-technical-doc'
edit_uri: 'https://forge.grandlyon.com/web-et-numerique/factory/llle_project/self-data-technical-doc/-/blob/master/docs/'

theme:
  name: 'material'
  logo: 'img/self_data_grdlyon.png'
  favicon: 'img/self_data_grdlyon.png'
  palette:
    scheme: dracula
    primary: white
    accent: red
  font:
    text: Roboto
    code: Roboto Mono
  features:
    - navigation.tabs
    - navigation.top
    - navigation.instant
    - content.action.edit
  icon:
    edit: material/file-edit-outline

markdown_extensions:
  - pymdownx.inlinehilite
  - pymdownx.snippets
  - pymdownx.superfences
  - admonition
  - plantuml_markdown:
      server: http://www.plantuml.com/plantuml
  - attr_list
  - pymdownx.emoji
  - pymdownx.mark:
  - pymdownx.tabbed:
      alternate_style: true

extra_css:
  - 'stylesheets/extra.css'

plugins:
  - search
  - git-revision-date-localized

nav:
  - Home:
      - Getting started: index.md
      - Setup your environment: setup_your_environment.md
      - WSL: wsl.md
  - Easy Cozy:
      - Introduction: easycozy/index.md
      - Configuration: easycozy/config.md
      - Commands: easycozy/commands.md
      - Known errors: easycozy/known_errors.md
      - Scripts: easycozy/scripts.md
      - Tips: easycozy/tips.md
  - Cozy stack:
      - Introduction: cozystack/index.md
      - Local Stack: cozystack/local.md
  - Ecolyo:
      - Introduction: ecolyo/index.md
      - Technical:
          - Getting started: ecolyo/technical/launch_local_application.md
          - Architecture: ecolyo/technical/architecture.md
          - Deploy: ecolyo/technical/deploy.md
          - Doctypes: ecolyo/technical/doctypes.md
          - Environments: ecolyo/technical/environments.md
          - Gitflow: ecolyo/technical/gitflow.md
          - Libraries: ecolyo/technical/libraries.md
          - Mail: ecolyo/technical/mail.md
          - Redux: ecolyo/technical/redux.md
          - Release: ecolyo/technical/release.md
          - Remote Doctypes: ecolyo/technical/remote_doctypes.md
          - Scaffolding: ecolyo/technical/scaffolding.md
          - Services:
              - Description: ecolyo/technical/services/index.md
              - Monthly report notification: ecolyo/technical/services/monthly_report_notification.md
              - Aggregator usage events: ecolyo/technical/services/aggregator_usage_events.md
              - Consumption Alert: ecolyo/technical/services/consumption_alert.md
              - Enedis half hour Monthly Analysis: ecolyo/technical/services/enedis_halfhour_monthly_analysis.md

      - Functionalities:
          - Analysis: ecolyo/functionalities/analysis.md
          - Challenge: ecolyo/functionalities/challenge.md
          - Consumption: ecolyo/functionalities/consumption.md
          - Dacc: ecolyo/functionalities/dacc.md
          - Ecogesture: ecolyo/functionalities/ecogesture.md
          - Feedback: ecolyo/functionalities/feedback.md
          - Initialization: ecolyo/functionalities/initialization.md
          - Matomo: ecolyo/functionalities/matomo.md
          - Onboarding: ecolyo/functionalities/onboarding.md
          - Price Calculation: ecolyo/functionalities/prices_calculation.md
          - Profile Type: ecolyo/functionalities/profile_type.md
          - PWA: ecolyo/functionalities/pwa.md
          - Terms: ecolyo/functionalities/terms.md
          - Usage events tracking: ecolyo/functionalities/usage_events_tracking.md
  - Ecolyo-Agent:
      - Introduction: ecolyo-agent/introduction.md
      - Technical:
          - Getting started: ecolyo-agent/technical/getting_started.md
          - Deploy: ecolyo-agent/technical/deploy.md
          - ⚠️ API Routes: ecolyo-agent/technical/api_routes.md
          - Handle assets: ecolyo-agent/technical/handle_assets.md
          - Backup: ecolyo-agent/technical/backup.md
          - Libraries: ecolyo-agent/technical/libraries.md
      - Functionalities:
          - Authentication: ecolyo-agent/functionalities/authentication.md
          - Custom Popup: ecolyo-agent/functionalities/custom_popup.md
          - Newsletter: ecolyo-agent/functionalities/newsletter.md
          - Partners issues: ecolyo-agent/functionalities/partners_issues.md
          - Prices: ecolyo-agent/functionalities/prices.md
  - Pilote:
      - Introduction: pilote/index.md
      - Pilote-Usager:
          - Application:
              - Deploy: pilote/Pilote-Usager/application/deploy.md
              - Doctypes: pilote/Pilote-Usager/application/doctypes.md
              - Scaffolding: pilote/Pilote-Usager/application/scaffolding.md
              - Services: pilote/Pilote-Usager/application/services.md
              - Redux: pilote/Pilote-Usager/application/redux.md
          - Functionalities:
              - Appointments: pilote/Pilote-Usager/functionalities/appointments.md
              - Contact: pilote/Pilote-Usager/functionalities/contact.md
              - Document: pilote/Pilote-Usager/functionalities/document.md
              - Settings: pilote/Pilote-Usager/functionalities/setting.md
              - Cozy Registry: pilote/Pilote-Usager/functionalities/cozy-registry.md
          - Getting Started:
              - Launch local application: pilote/Pilote-Usager/getting_started/launch_local_application.md
              - Launch local doctypes: pilote/Pilote-Usager/getting_started/launch_local_doctypes.md
              - Launch local services: pilote/Pilote-Usager/getting_started/launch_local_services.md
      - Pilote-TS - Back:
          - Application:
              - Deploy: pilote/Pilote-TS-Back/application/deploy.md
          - Functionalities:
              - Routes: pilote/Pilote-TS-Back/functionalities/routes.md
          - Getting Started:
              - Launch the application on local: pilote/Pilote-TS-Back/getting_started/launch_local_application.md
          - Project Architecture: pilote/Pilote-TS-Back/project_architecture/architecture.md
      - Pilote-TS-Front:
          - Application:
              - Deploy: pilote/Pilote-TS-Front/application/deploy.md
          - Functionalities:
              - Routes: pilote/Pilote-TS-Front/functionalities/functions.md
          - Getting Started:
              - Launch the application on local: pilote/Pilote-TS-Front/getting_started/launch_local_application.md
  - Konnectors:
      - Introduction: konnectors/index.md
      - Enedis [DEPRECATED]: konnectors/enedis.md
      - Enedis SGE: konnectors/enedis-sge.md
      - GRDF: konnectors/grdf.md
      - Eau du Grand Lyon: konnectors/egl.md
      - Launch a konnector on local: konnectors/launch_local_konnector.md
  - Proxy:
      - Description: proxy/description.md
      - Monitoring: proxy/monitoring.md
      - Use cases:
          - Enedis [DEPRECATED]: proxy/use_cases/enedis.md
          - Grdf Adict: proxy/use_cases/grdfadict.md
